Bug 905437 - RFE : default floating ip pool should be visible and editable via nova CLI
RFE : default floating ip pool should be visible and editable via nova CLI
Status: CLOSED UPSTREAM
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
2.0 (Folsom)
Unspecified Unspecified
low Severity low
: Upstream M3
: 5.0 (RHEL 7)
Assigned To: David Ripton
Ofer Blaut
: FutureFeature, MoveUpstream, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-29 07:53 EST by Ofer Blaut
Modified: 2016-04-26 16:31 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Not started upstream
Last Closed: 2014-04-11 09:12:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1306597 None None None Never

  None (edit)
Description Ofer Blaut 2013-01-29 07:53:08 EST
Description of problem:

default floating ip pool is configured in default_floating_pool= (default is named: nova  )

user can't see the dafault under nova floating-ip-pool-list
user can't change/edit the default pool using CLI 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. create few floating ip pools with names 
2. try to check which one is default 
nova floating-ip-pool-list
+-------+
| name  |
+-------+
| Pool1 |
| Pool2 |
| Pool3 |
| nova  |
|       |
+-------+

3. try to change the default without edit nova conf and restart nova  
  
Actual results:


Expected results:


Additional info:
Comment 3 David Ripton 2013-09-05 10:18:08 EDT
Feature request, past Havana feature freeze -> Moving to Icehouse / 5.0
Comment 5 David Ripton 2013-09-05 12:29:15 EDT
Trying again to make this bug reflect reality without the bot undoing my changes.
Comment 6 Stephen Gordon 2014-01-21 12:49:40 EST
Ofer can you please ensure this is tracked upstream and add the LP identifier to this bug.
Comment 10 David Ripton 2014-04-16 11:35:07 EDT
This is now https://blueprints.launchpad.net/nova/+spec/default-floating-ip-pool-in-cli

Working on the nova-specs version.

Note You need to log in before you can comment on or make changes to this bug.